Bug 202718 - software installer bug
Summary: software installer bug
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
(Show other bugs)
Version: 5
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-15 22:50 UTC by mark
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-25 13:33:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
installer bug (1.02 KB, application/octet-stream)
2006-08-15 22:50 UTC, mark
no flags Details

Description mark 2006-08-15 22:50:21 UTC
Description of problem: software installer bug see attached bug report


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 mark 2006-08-15 22:50:21 UTC
Created attachment 134273 [details]
installer bug

Comment 2 anas khader 2006-09-16 10:45:45 UTC
Component: Software Installer
Summary: TB9275b279 downloadonly.py:26:config_hook:AttributeError: 'NoneType'
object has no attribute 'add_option'

Traceback (most recent call last):
  File "/usr/sbin/system-install-packages", line 229, in ?
    main()
  File "/usr/sbin/system-install-packages", line 224, in main
    pkginst = SinglePackageInstaller()
  File "/usr/sbin/system-install-packages", line 56, in __init__
    GraphicalYumBase.__init__(self, False)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 123, in __init__
    self.doPluginSetup(types=(yum.plugins.TYPE_CORE))
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 173, in
doPluginSetup
    optparser, types)
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 148, in __init__
    self.run('config')
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 164, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/downloadonly.py", line 26, in config_hook
    parser.add_option('', '--downloadonly', dest='dlonly', action='store_true',
AttributeError: 'NoneType' object has no attribute 'add_option'

Local variables in innermost frame:
conduit: <yum.plugins.ConfigPluginConduit instance at 0xb78fc36c>
parser: None


Comment 3 Jeremy Katz 2006-09-25 13:33:52 UTC
This is fixed in the current updated version of pirut


Note You need to log in before you can comment on or make changes to this bug.